## debian-installer 20190702+deb10u13devuan1

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Temporary workaround for #823881:
export MTOOLS_SKIP_CHECK=1

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin
EATMYDATA = $(shell which eatmydata 2>/dev/null)
gzip = $(shell which pigz >/dev/null 2>&1 && echo "pigz -n -T" || echo "gzip -n")

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

define drop_lang
	@echo "Dropping languages: $(1)"
	@set -e; \
	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
		mv temp $$FILE; \
	done
endef

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR
export SOURCE_DATE_EPOCH

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory -j1
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | sort | cpio --reproducible --quiet -o -H newc) >
endef

define clamp_mtimes
  find $(1) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
endef

define normalise_permissions
  find $(1) -type d -print0 | xargs -0r chmod $(DIR_MODE)
  find $(1) -not -type d -and -not -type l -print0 | xargs -0r chmod $(FILE_MODE)
endef

# Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
# On amd64, it can be increased by increasing this variable.  On i386,
# this is a hard limit due to constraints of 4 GiB VM space.
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
MFSROOT_LIMIT := 42m
else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
# See Bug#783773 for derivation.
MFSROOT_LIMIT := 78m
endif

define mkfs.ufs1
  sh -c 'makefs -t ffs -T $(SOURCE_DATE_EPOCH) -s $(MFSROOT_LIMIT) -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	for png in $(shell awk -F= '/^SPLASH_PNG=/ {print $$2}' config/*.cfg); do if [ -f $${png%%.png}.svg ]; then rm -f $$png; fi; done
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)
	# Ensure build results have reproducible mtimes
	@$(clamp_mtimes) $(BASE_DEST)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find -L . -type f | sort` > MD5SUMS # XXX remove this
	cd $(BASE_DEST) && sha256sum `find -L . -type f | sort` > SHA256SUMS
	# We have just modified files
	$(clamp_mtimes) $(BASE_DEST)
	$(normalise_permissions) $(BASE_DEST)

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		if [ "$(USE_PROPOSED_UPDATES)" != 1 ]; then \
			olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
			if [ "$$olddate" ]; then \
				if [ $$(( $$(date -u "+%s") - \
				          $$(date -d "$$olddate" "+%s") \
				       )) -gt 1209600 ]; then \
					echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
					echo "         Should it maybe be updated?"; \
					sleep 15; \
				fi; \
			else \
				echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
				sleep 15; \
			fi; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \

=== debian/changelog ===
debian-installer (20190702+deb10u13devuan1) beowulf; urgency=medium

  * Merge tag 20190702+deb10u13.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 18 Jan 2023 09:11:15 +0000

debian-installer (20190702+deb10u12devuan1) unstable; urgency=medium

  * Merge Debian 20190702+deb10u12.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 27 Mar 2022 08:26:35 +0100

debian-installer (20190702+deb10u11+devuan1) unstable; urgency=medium

  * Merge Debian 20190702+deb10u11.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 10 Oct 2021 08:18:01 +0100

debian-installer (20190702+deb10u10+devuan1) unstable; urgency=medium

  * Merge Debian 20190702+deb10u10.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 24 Jun 2021 12:20:06 +0100

debian-installer (20190702+deb10u9+devuan1) unstable; urgency=medium

  * Merge Debian 20190702+deb10u9.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 27 Mar 2021 16:08:10 +0000

debian-installer (20190702+deb10u8+devuan1) unstable; urgency=medium

  * Merge Debian 20190702+deb10u8

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 02 Feb 2021 17:26:01 +0000

debian-installer (20190702+deb10u7+devuan1) unstable; urgency=medium

  * Merge Debian 20190702+deb10u7.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 11 Dec 2020 11:08:39 +0000

debian-installer (20190702+deb10u6+devuan1) beowulf; urgency=medium

  * Merge Debian 20190702+deb10u6.
  * d/gbp.conf: add debian-tag.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 20 Oct 2020 10:22:43 +0100

debian-installer (20190702+deb10u5+devuan1) beowulf; urgency=medium

  * Merge Debian 20190702+deb10u5.
  * d/control: update Vcs-* following Gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 02 Aug 2020 16:50:30 +0100

debian-installer (20190702+deb10u4+devuan1) beowulf; urgency=medium

  * Merge 20190702+deb10u4.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 11 May 2020 18:46:03 +0100

debian-installer (20190702+deb10u3+devuan2) beowulf; urgency=medium

  * Remove Built-Using field as it doesn't work with the incomplete
    repository in Devuan's dak.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 16 Apr 2020 23:58:08 +0100

debian-installer (20190702+deb10u3+devuan1) beowulf; urgency=medium

  * Merge 20190702+deb10u3.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 10 Feb 2020 13:23:23 +0000

debian-installer (20190702+deb10u2+devuan1) beowulf; urgency=medium

  * Merge upstream 20190702+deb10u2.
  * Add myself to uploaders.
  * d/control: Add Origin: Devuan.
  * Fixup d/changelog.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 05 Feb 2020 14:07:11 +0000

debian-installer (20190628+devuan1) unstable; urgency=medium

  * Remove support for orion5.x QNAP models TS-[124]09

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Fri, 28 Jun 2019 00:23:11 +1200

debian-installer (20190625+devuan6) unstable; urgency=medium

  * drop gpgv1.4-udeb and use gpgv-udeb instead

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Tue, 25 Jun 2019 12:15:58 +1200

debian-installer (20190625+devuan5) unstable; urgency=medium

  * Fix duplicate fields, update Maintainer/Uploaders

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Tue, 25 Jun 2019 11:29:24 +1200

debian-installer (20190625+devuan4) unstable; urgency=medium

  [ Luigi Toscano ]
  * Expand the shown name of the Plasma desktop
  * doc: fix description of Lokalize

  [ Vagrant Cascadian ]
  * [armhf] Remove Firefly-RK3288 image, as u-boot fails to boot due to

  [ Holger Wansing ]
  * Fix not-working F10 key function in help pages of boot screen
  * Add changelog entry for merging MR 4.

  [ Vagrant Cascadian ]
  * [arm64] Add u-boot image for pinebook.
  * Update debian/changelog with pinebook entry.
  * [armhf] Add image for Sinovoip_BPI_M3. Thanks to Bernhard.
  * [arm64] Fix generation of u-boot images.

  [ YunQiang Su ]
  * Add input-modules for loongson-3
  * closes #911664

  [ Vagrant Cascadian ]
  * [arm64] Fix another typo in generation of u-boot images.

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI from 4.18.0-2 to 4.18.0-3

  [ Vagrant Cascadian ]
  * [armel] Disable OpenRD targets, no longer present in u-boot.

  [ Cyril Brulebois ]
  * Update translation-status for the release.
  * releasing version 20181206

  [ Vagrant Cascadian ]
  * [arm64] Use arm-trusted-firmware instead of atf-allwinner to build pine64_plus and pinebook images.

  [ John Paul Adrian Glaubitz ]
  * alpha: Clean up formatting of build configuration file.
  * hppa: Clean up formatting of build configuration file.
  * Remove fb-modules from cdrom and netboot package lists.

  [ Holger Wansing ]
  * Update of translators list

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI from 4.18.0-3 to 4.19.0-1

  [ Holger Wansing ]
  * Update translators file for Spanish

  [ Steve McIntyre ]
  * Add support for using signed versions of EFI packages

  [ Vagrant Cascadian ]
  * [armhf] Re-enable Firefly-RK3288 image.

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Tue, 25 Jun 2019 10:12:56 +1200

debian-installer (20190625+devuan3) unstable; urgency=medium

  * kernel version is 4.19.0-5 for unstable!!!

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Tue, 25 Jun 2019 09:44:29 +1200

debian-installer (20190625+devuan2) unstable; urgency=medium

  * setup for unstable release

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Tue, 25 Jun 2019 09:02:42 +1200

debian-installer (20190625+devuan1) unstable; urgency=medium

  * bump kernel abi to 4.19.0-9

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Tue, 25 Jun 2019 08:52:53 +1200

debian-installer (20190610+devuan0) unstable; urgency=medium

  * Bump kernel version to 4.19.0-5

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 10 Jun 2019 21:42:50 +1200

debian-installer (20190216+devuan1) unstable; urgency=medium

  * bump version -- new choose-mirror 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 16 Feb 2019 08:35:46 +0000

debian-installer (20190207+devuan1) unstable; urgency=medium



=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
Standards-Version: 4.3.0
Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
Origin: Devuan
Build-Conflicts: libnewt-pic [mipsel]
Build-Depends:
# Base build dependencies:
	debhelper (>= 11),
#		Of course.
	apt (>= 0.8.16),
# 		Used for downloading udebs.
	apt-utils,
# 		apt-ftparchive is used for including localudebs.
	gnupg,
#		New versions of apt need gnupg for security checks.
	devuan-keyring (>= 2016.11.22),
#		To provide the archive key for security checks.
	dctrl-tools,
#		Various manipulations of the udeb Packages files.
	wget,
#		Used to test validity of mirrors.
	bc,
#		Used for some image size calculations.
	debiandoc-sgml,
#		partman's manual is in debiandoc.
	xsltproc,
	docbook-xml,
	docbook-xsl,
#		The d-i internals manual is in DocBook XML.
	libbogl-dev,
#		For bdftobogl used in font reduction.
#	
# Library build dependencies:
	libgcc1 [i386 amd64],
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		calls in directfb. For now, this is done by setting EXTRAFILES.
# 
# Filesystem tools:
	genext2fs (>= 1.3-7.1),
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
	e2fsprogs,
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
	mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40),
#		We use mklibs for library reduction.
	genisoimage [!s390 !s390x],
#		For making mini isos.
	genromfs [sparc sparc64],
#		Used for creating sparc floppies (which are not built by
#		default.)
	dosfstools [i386 ia64 m68k amd64 armhf arm64],
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		m68k uses it for atari floppies
#		armhf uses it for building bootable SD card images
	cpio (>= 2.11+dfsg-6),
#		For creating (reproducible) initramfs images.
	xz-utils,
#		For compressing initramfs images.
	devio [armeb armel],
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
	slugimage (>= 0.10+r58-6) [armeb armel],
#		For building nslu2 firmware images.
	dns323-firmware-tools (>= 0.7.3-1~) [armel],
#		For building firmware images for the D-Link DNS-32(0|3).
	u-boot-tools [armel armhf arm64],
#		For creating u-boot images
# 
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
	syslinux [i386 amd64],
	syslinux-utils [i386 amd64],
	isolinux [i386 amd64],
	pxelinux [i386 amd64],
	syslinux-common (>= 3:6) [i386 amd64],
#		With isohybrid.
	aboot (>= 0.9b-2) [alpha],
#		A previous version didn't have netabootwrap.
	palo [hppa],
#		Bootloader for hppa machines, to make netboot images.
	sparc-utils [sparc sparc64],
#		For elftoaout and piggyback, to make netboot images.
	atari-bootstrap [m68k],
#		Booting and other tools for Atari systems.
	vmelilo [m68k],
	m68k-vme-tftplilo [m68k],
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
	amiboot [m68k],
#		Bootloader for m68k/amiga machines.
	emile [m68k],
	emile-bootblocks [m68k],
#		Bootloader for m68k/mac machines.
	shim-signed [amd64 i386 arm64],
	grub-efi-amd64-signed [amd64],
	grub-efi-ia32-signed [i386],
	grub-efi-arm64-signed [arm64],
#	        Signed bootloader components for UEFI Secure Boot
	grub-efi-arm64-bin [arm64],
	grub-efi-ia32-bin [i386],
	grub-efi-ia64-bin [ia64],
	grub-efi-arm-bin [armhf],
	grub-common [amd64 arm64 i386], xorriso,
#		Used to make EFI bootable images
	grub-ieee1275-bin [powerpc ppc64 ppc64el sparc sparc64],
#		IEEE1275 bootloader support.
	u-boot-imx (>= 2019.01+dfsg-3) [armhf],
	u-boot-omap (>= 2016.09~rc1) [armhf],
	u-boot-sunxi (>= 2019.01+dfsg-3) [armhf],
	u-boot-sunxi (>= 2019.01+dfsg-6) [arm64],
	u-boot-rockchip (>= 2019.01+dfsg-1~) [armhf],
#		U-boot binaries for armhf systems without u-boot in flash memory
	arm-trusted-firmware [arm64],
	device-tree-compiler [arm64],
#		arm-trusted-firmware for allwinner, used in combination with
#		u-boot-sunxi to produce bootable arm64 images.
	u-boot (>= 2016.01+dfsg1-1~) [armel],
#		U-boot binaries for armel systems
# 
# Architecture specific build dependencies:
	tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
#		For todos, used on files that need to be accessible from
#		DOS.
	mtools [i386 ia64 m68k amd64 armhf arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them. Note that patches from #900409 and #900410
#		are required for a reproducible build (available since
#		4.0.18-2.1).
# 
	kmod [linux-any],
#		depmod.
# 
	bf-utf-source [!s390 !s390x],
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
	openssl,
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
	win32-loader (>= 0.7.2) [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Alternative boot method for win32 platforms.
	makefs (>= 20100306-5+kbsd8u1~) [kfreebsd-any],
#		Used to create an UFS1 filesystem from a directory tree.
	grub-pc (>= 2.02~beta2~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Used as the CD-ROM's bootloader
	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#               Used by grub-pc to create the CD-ROM images
	devuan-keyring [sh4 sparc64],
#		Used for architectures hosted on debian-ports.org
	librsvg2-bin [any-amd64 any-i386],
#		Used to convert splash SVG to splash PNG during build
	fdisk [armhf] | util-linux (<< 2.29.2-3~) [armhf],
#		sfdisk is used by util/gen-hd-image when creating SD card
#		images for armhf systems. Starting with buster, it is no longer
#		part of util-linux but split out into a separate, non-essential
#		"fdisk" package. For more information, please cf.
#		https://lists.debian.org/debian-devel-announce/2017/08/msg00005.html
	fontconfig,
#		Used to generate a font cache through fc-cache, for gtk flavours

Package: debian-installer
Architecture: any
Depends: ${misc:Depends}
Description: Devuan's debian installer
 This package currently only contains some documentation for the Devuan
 version of the debian installer. We welcome suggestions about what else to 
  in it.

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)

# Daily builds vs. uploads to unstable:
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=unstable
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=beowulf
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

# Adjust for non-released ports if needed:
RELEASE_ARCHES=amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x
ifeq (,$(filter $(ARCH), $(RELEASE_ARCHES)))
USE_UNRELEASED=1
USE_UDEBS_FROM=unstable
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(DATE)
IMAGEDIR=$(DESTDIR)/images
TARNAME=devuan-installer-images_$(VERSION)_$(ARCH).tar.gz

export SOURCE_DATE_EPOCH

export SOURCE_DATE_EPOCH

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		USE_UNRELEASED=$(USE_UNRELEASED) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(DATE) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml -X .gitignore
	dh_compress
	dh_fixperms

	./build/util/write-built-using

	dh_gencontrol
	dh_md5sums
	dh_builddeb
	./build/util/gen-tarball debian/tmp ../$(TARNAME)
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20200314

=== debian/changelog ===
debian-installer (20200314) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * hppa: Strip -smp suffix from 64-bit kernel version string.

  [ YunQiang Su ]
  * Switch from vmlinux to vmlinuz for mips* except on Octeon.

  [ Raphaël Hertzog ]
  * Make write-built-using more robust.

  [ Vagrant Cascadian ]
  * Update Firefly-RK3288 image for new u-boot version.

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 5.4.0-4
  * Update translation-status for the release.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 14 Mar 2020 08:16:10 +0100

debian-installer (20191129) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386: Set USE_UNRELEASED to 1.
  * gen-sources.list.udeb: Allow to have several spaces around [] qualifiers in
    sources.list entries.
  * build/boot/x86: Restore 'd' shortcut for the dark theme. 'c' can obviously
    not work in grub (Closes: #935545).
  * build/util/grub-gencfg: Set gfxpayload=keep in submenus too, to fix
    unreadable fonts on hidpi displays in netboot images booted with EFI.
    (See: #935546)
  * Add hurd-i386 EFI support.

  [ Karsten Merker ]
  * riscv64: Include nic-modules and scsi-modules for virtio targets
    such as the qemu riscv64 "virt" machine.  In recent kernel versions
    the virtio-modules udeb has been removed and the various virtio
    modules have been included in other module udebs (virtio_blk is now
    in scsi-modules and virtio_net is now in nic-modules).
  * riscv64: Create a netboot tarball.

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI from 4.19.0-5 to 5.3.0-2
  * Target bullseye.
  * Not updating translation-status on purpose.

  [ Martin Michlmayr ]
  * Remove images for QNAP TS-11x/TS-21x/HS-21x, QNAP TS-41x/TS-42x
    and HP Media Vault mv2120 due to size problems with the Linux
    kernel.

  [ John Paul Adrian Glaubitz ]
  * Always force USE_PROPOSED_UPDATES=0 for Debian Ports architectures.

  [ Andreas B. Mundt ]
  * ARM: sunxi: Add support for Olimex A20-OLinuXino-Lime2-eMMC.

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog, control and rules file, to
    fix lintian tag.

  [ Osamu Aoki ]
  * partman-doc: Convert to DocBook XML 4.5 (Closes: #907970)

  [ Steve McIntyre ]
  * Tweak mini.iso generation on arm so EFI netboot will work.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 29 Nov 2019 08:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
-Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
 Standards-Version: 4.3.0
-Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
-Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
-Origin: Devuan
-Build-Conflicts: libnewt-pic [mipsel]
+Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -18,7 +16,7 @@
 # 		apt-ftparchive is used for including localudebs.
 	gnupg,
 #		New versions of apt need gnupg for security checks.
-	devuan-keyring (>= 2016.11.22),
+	debian-archive-keyring (>= 2006.11.22),
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -26,21 +24,19 @@
 #		Used to test validity of mirrors.
 	bc,
 #		Used for some image size calculations.
-	debiandoc-sgml,
-#		partman's manual is in debiandoc.
 	xsltproc,
 	docbook-xml,
 	docbook-xsl,
-#		The d-i internals manual is in DocBook XML.
+#		The d-i partman-doc and internals manual is in DocBook XML 4.x.
 	libbogl-dev,
 #		For bdftobogl used in font reduction.
-#	
+#
 # Library build dependencies:
 	libgcc1 [i386 amd64],
 #		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
 #		work around #373253 until upstream can remove pthread_cancel()
 #		calls in directfb. For now, this is done by setting EXTRAFILES.
-# 
+#
 # Filesystem tools:
 	genext2fs (>= 1.3-7.1),
 #		For creating ext2 filesystems without being root.
@@ -57,7 +53,7 @@
 	genromfs [sparc sparc64],
 #		Used for creating sparc floppies (which are not built by
 #		default.)
-	dosfstools [i386 ia64 m68k amd64 armhf arm64],
+	dosfstools [hurd-i386 i386 ia64 m68k amd64 armhf arm64],
 #		For creating FAT filesystems with mkfs.msdos.
 #		Of course i386/amd64 use this for floppies, CDs etc.
 #		m68k uses it for atari floppies
@@ -69,13 +65,11 @@
 	devio [armeb armel],
 #		Tool to read and write from block devices, used to byteswap
 #		kernels and add nslu2 boot magic.
-	slugimage (>= 0.10+r58-6) [armeb armel],
-#		For building nslu2 firmware images.
 	dns323-firmware-tools (>= 0.7.3-1~) [armel],
 #		For building firmware images for the D-Link DNS-32(0|3).
 	u-boot-tools [armel armhf arm64],
 #		For creating u-boot images
-# 
+#
 # Boot loaders:
 #	On many arches boot loaders are copied onto or ran on the boot
 #	images in one way or another. There's a reason our mailing list is
@@ -110,7 +104,7 @@
 	grub-efi-arm64-signed [arm64],
 #	        Signed bootloader components for UEFI Secure Boot
 	grub-efi-arm64-bin [arm64],
-	grub-efi-ia32-bin [i386],
+	grub-efi-ia32-bin [hurd-i386 i386],
 	grub-efi-ia64-bin [ia64],
 	grub-efi-arm-bin [armhf],
 	grub-common [amd64 arm64 i386], xorriso,
@@ -121,7 +115,7 @@
 	u-boot-omap (>= 2016.09~rc1) [armhf],
 	u-boot-sunxi (>= 2019.01+dfsg-3) [armhf],
 	u-boot-sunxi (>= 2019.01+dfsg-6) [arm64],
-	u-boot-rockchip (>= 2019.01+dfsg-1~) [armhf],
+	u-boot-rockchip (>= 2020.01+dfsg-1~) [armhf],
 #		U-boot binaries for armhf systems without u-boot in flash memory
 	arm-trusted-firmware [arm64],
 	device-tree-compiler [arm64],
@@ -129,7 +123,7 @@
 #		u-boot-sunxi to produce bootable arm64 images.
 	u-boot (>= 2016.01+dfsg1-1~) [armel],
 #		U-boot binaries for armel systems
-# 
+#
 # Architecture specific build dependencies:
 	tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
 #		For todos, used on files that need to be accessible from
@@ -139,10 +133,10 @@
 #		mounting them. Note that patches from #900409 and #900410
 #		are required for a reproducible build (available since
 #		4.0.18-2.1).
-# 
+#
 	kmod [linux-any],
 #		depmod.
-# 
+#
 	bf-utf-source [!s390 !s390x],
 #		Contains the unicode font we use. Not a udeb since we
 #		perform font reduction at build time.
@@ -158,7 +152,7 @@
 #		Used as the CD-ROM's bootloader
 	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 #               Used by grub-pc to create the CD-ROM images
-	devuan-keyring [sh4 sparc64],
+	debian-ports-archive-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
@@ -173,8 +167,8 @@
 
 Package: debian-installer
 Architecture: any
+Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Devuan's debian installer
- This package currently only contains some documentation for the Devuan
- version of the debian installer. We welcome suggestions about what else to 
-  in it.
+Description: Debian Installer documentation
+ This package currently only contains some documentation for the Debian
+ installer. We welcome suggestions about what else to put in it.

## debian-installer 20201202

=== debian/changelog ===
debian-installer (20201202) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 5.9.0-3
  * Drop fontconfig tweaks introduced in version 20170828 (See: #873462):
     - Full hinting support was removed upstream, in pango 1.44.
     - Forcing truetype:interpreter-version=35 through FREETYPE_PROPERTIES
       now leads to arguably worse rendering than with default settings.
  * With or without the aforementioned changes, the rendering looks much
    worse than it used to (until Debian Installer Bullseye Alpha 3), due
    to a behavioral change in pango. Since it affects default fonts, and
    not only in the installer's context, one might have hoped for a fix
    at some point but that doesn't seem to be happening. We might try to
    use different fonts to try and dodge this issue… Until then, here
    are some pointers to bugtracker entries:
     - https://bugs.debian.org/956612
     - https://gitlab.gnome.org/GNOME/pango/-/issues/404
     - https://github.com/harfbuzz/harfbuzz/issues/1892
  * Convert doc/devel/anna-install.txt to UTF-8.
  * Clean whitespaces in doc/i18n/ChangeLog, making it UTF-8.
  * Update translation-status for the release.

  [ Vagrant Cascadian ]
  * Update Firefly-RK3288 image for new u-boot version.
  * [arm64] Add support for firefly-rk3399, pinebook-pro-rk3399,
    rockpro64-rk3399, rock64-rk3328 and rock-pi-4-rk3399 to u-boot images
    and netboot SD card images.
  * [arm64] Make all netboot sdcard images start at offset 32768, for
    compatibility with rockchip platforms.

  [ Lubomir Rintel ]
  * Add OLPC XO-1.75 laptop support. Closes: #949306

  [ Aurelien Jarno ]
  * Drop build-dependency on libgcc1. It has been renamed and it is not
    needed since r62791.
  * Add libgcc-s1 to the fake packages list as it doesn't have an udeb just
    like libgcc1. Remove libc* and libnewt0.52 from that list.
  * Install kmod-udeb instead of libkmod2-udeb now that the library and the
    binaires are properly packaged in different udebs.
  * Remove the mklibs library reduction pass. Add a hack to copy
    libgcc_s.so.[124] from the host filesystem as it is not done anymore by
    mklibs. This needs to be replaced by a proper udeb.
  * Add explicit build-depends on fdisk on arm64, amd64 and i386 now that
    util-linux doesn't depends on it anymore.

  [ Wookey, Steve McIntyre, Alper Nebi Yasak ]
  * Enable gtk build for arm64

  [ Domenico Andreoli ]
  * Add support for NanoPi NEO Air. Closes: #928863

  [ Holger Wansing]
  * d-i i18n guide: update for util-linux's eject overtaking.
  * Add Occitan as new language for the installer (thanks to Quentin PAGÈS).

  [ Steve McIntyre ]
  * Tweaks for efi-image:
    + Improve sizing calculation to reduce wasted space
    + Include DTB files in the ESP for armhf and arm64 systems. Should
      make U-Boot based systems work better when booting via UEFI
  * Fix build failures related to #940056 "fakeroot does not fake
    statx()". Don't use "ls" to check if /dev/console is a character
    device, instead use "file". Thanks to JH Chatenet for helping to
    debug this.

  [ Samuel Thibault ]
  * Copy over libmach/hurduser, until the fixed glibc is installed.
  * Fix monolithic hurd build by excluding more packages.

  [ Jessica Clarke ]
  * kfreebsd: Update to use debian-ports-archive-keyring.
  * kfreebsd: Don't try to build build_cdrom_gtk on kfreebsd-i386.

  [ Julien Cristau ]
  * Add grub2 to built-using (closes: #968998).

  [ Ben Hutchings ]
  * Add wireless-regdb-udeb to Linux builds that include nic-wireless-modules

  [ Alper Nebi Yasak ]
  * Include a /gtk/initrd.gz in graphical arm mini.iso builds
  * Include fb-modules in non-gtk arm64 cdrom builds as well
  * Build concatenateable images for arm64 netboot-gtk

  [ John Paul Adrian Glaubitz ]
  * powerpc: Add cdrom-core-modules and isofs-modules to cdrom pkg-lists
  * ppc64: Add cdrom-core-modules and isofs-modules to cdrom pkg-lists

 -- Cyril Brulebois <kibi@debian.org>  Wed, 02 Dec 2020 14:30:20 +0100

=== debian/control ===
--- 
+++ 
@@ -30,12 +30,10 @@
 #		The d-i partman-doc and internals manual is in DocBook XML 4.x.
 	libbogl-dev,
 #		For bdftobogl used in font reduction.
-#
-# Library build dependencies:
-	libgcc1 [i386 amd64],
-#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
-#		work around #373253 until upstream can remove pthread_cancel()
-#		calls in directfb. For now, this is done by setting EXTRAFILES.
+	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
+#		The GCC support library is copied to the to the installation
+#		image. This is a hack and needs to be replaced by a proper
+#		udeb.
 #
 # Filesystem tools:
 	genext2fs (>= 1.3-7.1),
@@ -46,8 +44,6 @@
 #		them.
 #		Lintian: Yes, we know it's essential. We prefer not to
 #		count on it remaining so.
-	mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40),
-#		We use mklibs for library reduction.
 	genisoimage [!s390 !s390x],
 #		For making mini isos.
 	genromfs [sparc sparc64],
@@ -113,9 +109,10 @@
 #		IEEE1275 bootloader support.
 	u-boot-imx (>= 2019.01+dfsg-3) [armhf],
 	u-boot-omap (>= 2016.09~rc1) [armhf],
-	u-boot-sunxi (>= 2019.01+dfsg-3) [armhf],
+	u-boot-sunxi (>= 2019.07+dfsg-1) [armhf],
 	u-boot-sunxi (>= 2019.01+dfsg-6) [arm64],
-	u-boot-rockchip (>= 2020.01+dfsg-1~) [armhf],
+	u-boot-rockchip (>= 2020.04+dfsg-1~) [armhf],
+	u-boot-rockchip (>= 2020.04+dfsg-2~) [arm64],
 #		U-boot binaries for armhf systems without u-boot in flash memory
 	arm-trusted-firmware [arm64],
 	device-tree-compiler [arm64],
@@ -156,12 +153,11 @@
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
-	fdisk [armhf] | util-linux (<< 2.29.2-3~) [armhf],
+	fdisk [amd64 arm64 armhf i386],
 #		sfdisk is used by util/gen-hd-image when creating SD card
-#		images for armhf systems. Starting with buster, it is no longer
-#		part of util-linux but split out into a separate, non-essential
-#		"fdisk" package. For more information, please cf.
-#		https://lists.debian.org/debian-devel-announce/2017/08/msg00005.html
+#		images for arm64 and armhf systems.
+#		fdisk is used is used by util/geniso_hybrid_plus_firmware_partition
+#		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours

## debian-installer 20210415

=== debian/changelog ===
debian-installer (20210415) unstable; urgency=medium

  [ Shawn Guo ]
  * Build in libinput instead of evdev driver for gtk installer.

  [ Steve McIntyre ]
  * Bump Linux kernel ABI to 5.10.0-6

  [ Holger Wansing ]
  * Add wireless-regdb-udeb to all Linux arch images (#979104).
  * Correct keyword for bootloader arguments in netboot/xen/debian.cfg
    example file. Closes: #904131
  * Update of debian-internals manual to current development state.

  [ Vagrant Cascadian ]
  * [arm64] Add support for puma-rk3399.
  * [arm64] Update to use u-boot-install-sunxi.
  * [armhf] Make hd-media and netboot sdcard images start at offset 32768,
    for compatibility with rockchip platforms.
  * [arm64, armhf] Update SD-card-images sizes for netboot, netboot-gtk and hd-media.

  [ Samuel Thibault ]
  * On hurd-i386, mips, and powerpc, add debian-ports-archive-keyring-udeb also
    in the monolithic images for bootstraping from debian-ports' unreleased.
  * Update minimum disk and memory sizes.
  * Makefile: Drop libmachuser/libhurduser manual copy, now fixed in glibc.
  * Makefile: Drop /servers manual creation, now done in hurd-udeb package.

  [ Cyril Brulebois ]
  * Update translation-status for the release.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 15 Apr 2021 00:06:14 +0200

## debian-installer 20210606

=== debian/changelog ===
debian-installer (20210606) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 5.10.0-7
  * Update translation-status for the release.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 06 Jun 2021 13:48:38 +0200

## debian-installer 20210731

=== debian/changelog ===
debian-installer (20210731) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update translation-status for the release.

  [ Steve McIntyre ]
  * Make mini.iso work with UEFI boot
  * Bump Linux kernel ABI to 5.10.0-8

 -- Cyril Brulebois <kibi@debian.org>  Sat, 31 Jul 2021 06:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -110,9 +110,9 @@
 	u-boot-imx (>= 2019.01+dfsg-3) [armhf],
 	u-boot-omap (>= 2016.09~rc1) [armhf],
 	u-boot-sunxi (>= 2019.07+dfsg-1) [armhf],
-	u-boot-sunxi (>= 2019.01+dfsg-6) [arm64],
+	u-boot-sunxi (>= 2021.01+dfsg-1~) [arm64],
 	u-boot-rockchip (>= 2020.04+dfsg-1~) [armhf],
-	u-boot-rockchip (>= 2020.04+dfsg-2~) [arm64],
+	u-boot-rockchip (>= 2021.01+dfsg-1~) [arm64],
 #		U-boot binaries for armhf systems without u-boot in flash memory
 	arm-trusted-firmware [arm64],
 	device-tree-compiler [arm64],

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=beowulf
+USE_UDEBS_FROM=bullseye
 USE_PROPOSED_UPDATES=0
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
@@ -23,14 +23,13 @@
 ifeq (,$(filter $(ARCH), $(RELEASE_ARCHES)))
 USE_UNRELEASED=1
 USE_UDEBS_FROM=unstable
+USE_PROPOSED_UPDATES=0
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
 DESTDIR=$(ARCHIVEDIR)/$(DATE)
 IMAGEDIR=$(DESTDIR)/images
-TARNAME=devuan-installer-images_$(VERSION)_$(ARCH).tar.gz
-
-export SOURCE_DATE_EPOCH
+TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz
 
 export SOURCE_DATE_EPOCH
 
@@ -72,12 +71,12 @@
 	cp -a build/dest/* $(IMAGEDIR)
 	ln -s $(DATE) $(ARCHIVEDIR)/current
 
-binary-arch: install  
+binary-arch: install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
-		-X internals.xml -X partman-doc.sgml -X .gitignore
+		-X internals.xml -X partman-doc.dbk -X .gitignore
 	dh_compress
 	dh_fixperms
 
@@ -91,5 +90,5 @@
 
 binary-indep:
 
-binary: binary-indep binary-arch 
-.PHONY: build build-images clean binary-indep binary-arch binary install 
+binary: binary-indep binary-arch
+.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20210731+deb11u1

=== doc/talks/d-i_debconf6/Makefile ===
all: *.tex
	pdflatex $^

clean: cleantemp
	rm -f *.pdf

cleantemp:
	rm -f *.log *.aux *.toc

=== debian/changelog ===
debian-installer (20210731+deb11u1) bullseye; urgency=medium

  * Set USE_PROPOSED_UPDATES=1 for the bullseye stable branch.
  * Update USE_UDEBS_FROM default from unstable to bullseye, so that
    users don't have to know about the debian/rules heuristics when
    performing manual, local builds.
  * Bump Linux kernel ABI to 5.10.0-9.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 04 Oct 2021 10:07:27 +0200

## debian-installer 20210731+deb11u2

=== debian/changelog ===
debian-installer (20210731+deb11u2) bullseye; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-10.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 13 Dec 2021 16:23:43 +0100

## debian-installer 20210731+deb11u3

=== doc/talks/d-i_qa/Makefile ===
TEX    = latex
DVIPS  = dvips
PDFTEX = pdflatex

.PHONY: clean
.SILENT: all dvi clean


SOURCES = $(shell ls | grep -e '\.tex')
SOURCE  = d-i_qa

all: pdf

pdf: $(SOURCES:.tex=.pdf)

dvi: $(SOURCES:.tex=.dvi) 

ps:  buildps

buildps: $(SOURCES:.dvi=.ps)

.tex.dvi:
	$(TEX) $(TEXARGS) $(SOURCE)

.dvi.ps:
	$(DVIPS) $(DVIPSARGS) $<

d-i_qa.pdf: d-i_qa.tex
	$(PDFTEX) $<
	$(PDFTEX) $<

.tex.pdf:
	$(PDFTEX) $(PDFTEXARGS) $<

clean:
	rm -rf *.log *.nav *.out *.snm *.toc *.aux

distclean: clean
	rm -rf *.pdf *.dvi *.ps

=== debian/changelog ===
debian-installer (20210731+deb11u3) bullseye; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-13.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 22 Mar 2022 18:37:47 +0100

## debian-installer 20210731+deb11u4

=== debian/changelog ===
debian-installer (20210731+deb11u4) bullseye; urgency=medium

  * Reinstate some armel netboot targets, as suggested by Martin
    Michlmayr (Closes: #934072) and tested by Rick Thomas (thanks!):
     - openrd-base
     - openrd-client
     - openrd-ultimate
  * Bump Linux kernel ABI to 5.10.0-16.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 05 Jul 2022 17:57:59 +0200

## debian-installer 20210731+deb11u5

=== debian/changelog ===
debian-installer (20210731+deb11u5) bullseye; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-18.

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 06 Sep 2022 22:55:12 +0200

## debian-installer 20210731+deb11u6

=== debian/changelog ===
debian-installer (20210731+deb11u6) bullseye; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-20.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 12 Dec 2022 20:03:06 +0100

## debian-installer 20210731+deb11u7

=== debian/changelog ===
debian-installer (20210731+deb11u7) bullseye; urgency=medium

  * Rebuild against linux 5.10.158-2.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 15 Dec 2022 04:37:13 +0100
